petsc-3.13.6 2020-09-29
Report Typos and Errors

# TaoADMMGetRegularizerType

Gets the type of regularizer routine for ADMM

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoADMMGetRegularizerType(Tao tao, TaoADMMRegularizerType *type)

Not Collective

### Input Parameter

tao -the Tao context

### Output Parameter

type -the type of regularizer

### Options Database

-tao_admm_regularizer_type <admm_regularizer_user,admm_regularizer_soft_thresh> -

### See Also

TaoADMMSetRegularizerType(), TaoADMMRegularizerType, TAOADMM

### Level

intermediate

### Location

src/tao/constrained/impls/admm/admm.c

### Implementations

TaoADMMGetRegularizerType_ADMM in src/tao/constrained/impls/admm/admm.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages